---
title: "About"
date: 2020-04-21
draft: false
---

## History ##

PowerEL stands for Power Enterprise Linux,
it originates from a requirement to have a fully free open source distribution for the IBM POWER 8 and higher platform.  
The distribution takes it's inspiration and origin from various Open Source Enterprise Linux distributions such as
Red Hat, CentOS, Oracle Linux, Fedora, SuSE, and others.  
PowerEL has been optimized for specific CPU features, such as IBM Power8 or higher and Intel x86 AVX or higher,
so it only works on cpu's with at least this set of features available.  
PowerEL provides a very convenient way of more packages out of the box.  
PowerEL uses the distro tag __pel__ and uses the same ABI as the open source rhel based systems, so you can use existing binaries on PowerEL.  


## Architectures ##

PowerEL supports specific CPU architectures with specific feature requirements.

- IBM POWER8 (or higher) - Big Endian : __ppc64__
![OpenPower Ready](/img/openpowerready.png "OpenPOWER Ready")
- IBM POWER8 (or higher) - Little Endian : __ppc64le__
![OpenPower Ready](/img/openpowerready.png "OpenPOWER Ready")
- Intel Xeon/i9/i7/i5/i3 with AVX support (or higher) : __x86_64__


## Credits ##

We thank the open source community for all the open source components that made it possible to create this distribution.  
We also would like to thank the following people, who inspired, assisted on this project.

- Trilands bv
- Ned Gamble (IBM Austin)
- Jeff Scheels (IBM US)
- Hugh Blemming (OpenPOWER Foundation)
- Franz Bourlet (IBM Belgium)
- Rudy Roelandt (IBM Belgium)
- Robert Keersse (Don Bosco Leren en Werken Wilrijk)

And many other people at IBM.

## Pengiun ##

The PowerEL pengiun, you may notice on the first page is a __tasmanian pengiun__.  
This pengiun belongs to the little blue pengiun species.  
It is one of the smallest pengiun species in the world still alive.  
More information on [Wikipedia](https://en.wikipedia.org/wiki/Little_penguin).  
