---
title: "Repositories"
date: 2018-07-23
draft: false
---

Repositories are packages that are grouped together because they belong to the same interest or to the main program.  
PowerEL has a range of repositories, also referred to as repos, that you can enable to get access to those packages.  
A list of repositories can be found here on this page.  
To enable a repository, use your favourite editor to change the __enable=0__ to __enable=1__ in the repo file located in _/etc/yum.repos.d/_.  


### Base Repository ###

This repository is the base repository required to run all PowerEL packages.  
It contains all core packages, including some libraries required for other repositories.  
The main kernel package is a mainline latest LTS kernel.  

### Virt Repository ###

This repository contains all virtualization and emulation packages.  
While this repository focuses on KVM and containers, it also includes emulation technologies.  
For KVM the qemu and libvirt packages are available to enable you to create a virtualized environment.  
For containers, kubernetes with cri-o are available to create a world of containers.  

### Web Repository ###

This repository has all web based packages, from Apache HTTP, nginx, to specific web applications.

### TUI Repository ###

This repository has all text based packages.

### GUI Repository ###

This repository has all graphical based packages including window managers, tiling managers and other graphical based applications.  

### FilePrint Repository ###

This repository focusses on all types of storage and printing solutions, that are not in the base repository.  
Some storage engines are more pervasive, so they tend to land up in the base repository.  

### PostgreSQL Repository ###

This repository focusses on PostgreSQL database and all packages related to PostgreSQL database.

### MariaDB Repository ###

This repository includes all MariaDB related packages, including Galera, xtrabackup and many more.

### MySQL Repository ###

This is the repository for the open source Oracle MySQL.  
This repository does not include Galera, because MySQL has group replication, which is the internal replication for MySQL.  

### Percona Repository ###

This is the repository of Percona Server packages, a combination of MySQL with Galera and some Percona flavour to create a single package.  

### NoSQL Repository ###

This is the repository for NoSQL databases, such as MongoDB, Redis, ..., and many more.  

### Monitoring Repository ###

This repository is for Monitoring, Metrics and notifications.  
It hosts Icinga2, Prometheus, Grafana, Graphite, ..., and many more.  

### Communication Repository ###

This repository is for all communication services, such as Jabber/XMMP, VoIP, chatbots, ..., and many more.  

### MsgQueue Repository ###

This repository is for all message queuing systems, such as ZeroMQ, MQTT, RabbitMQ, ..., and many more.  

### AIML Repository ###

This is the repository for Artificial Intelligence and Machine Learning software.  

### MgmtConsole Repository ###

This is the repository for all management and console systems to manage infrastructure as code and other machines.  


